<template>
  <!-- NAVIGATION -->
  <div class="col-7 offset-1">
    <nav>
      <ul class="menu m-0 list-inline list-unstyled">
        <li class="my-2 mr-5 list-inline-item"
            :class="{'font-weight-bold active': (getActiveNavigationTab === 0)}"
            @click="setActiveNavigationTab(0)">
          <app-link class="text-dark" :to="{ path: `/datasets/${getID}`}">
            {{ $t('message.datasetDetails.subnav.dataset') }}
          </app-link>
        </li>
        <li class="my-2 mr-5 list-inline-item"
            :class="{'font-weight-bold active': (getActiveNavigationTab === 1)}"
            @click="setActiveNavigationTab(1)">
          <app-link class="text-dark" :to="{ path: `/datasets/${getID}/categories`}">
            {{ $t('message.datasetDetails.subnav.categories') }}
          </app-link>
        </li>
        <li class="my-2 mr-5 list-inline-item"
            :class="{'font-weight-bold active': (getActiveNavigationTab === 2)}"
            @click="setActiveNavigationTab(2)">
          <app-link class="text-dark" :to="{ path: `/datasets/${getID}/similarDatasets`}">
            {{ $t('message.datasetDetails.subnav.similarDatasets') }}
          </app-link>
        </li>
        <!--<li class="my-2 px-4"-->
            <!--:class="{'font-weight-bold active': (getActiveNavigationTab === 3)}"-->
            <!--@click="setActiveNavigationTab(3)">-->
          <!--<app-link class="text-dark" :to="{ path: `datasets/${getID}/activityStream`}">-->
            <!--{{ $t('message.datasetDetails.subnav.activityStream') }}-->
          <!--</app-link>-->
        <!--</li>-->
      </ul>
    </nav>
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
import AppLink from './AppLink';

export default {
  name: 'datasetDetailsNavigation',
  components: {
    appLink: AppLink,
  },
  data() {
    return {
      navbarCollapsed: false,
    };
  },
  props: {
    activeTab: {
      type: Number,
      default: 0,
    },
  },
  computed: {
    // import store-getters
    ...mapGetters('datasetDetails', [
      'getActiveNavigationTab',
      'getID',
    ]),
  },
  methods: {
    // import store-actions
    ...mapActions('datasetDetails', [
      'setActiveNavigationTab',
    ]),
  },
  watch: {
    activeTab: {
      handler(tab) {
        this.setActiveNavigationTab(tab);
      },
    },
  },
  created() {
    this.setActiveNavigationTab(this.activeTab);
  },
};
</script>

<style lang="scss" scoped>
  @import '../styles/bootstrap_theme';
</style>
